com.saxonica.bytecode.map

## Class ForItemMappingAction

- java.lang.Object
- - com.saxonica.bytecode.map.ForItemMappingAction

- All Implemented Interfaces:
    ItemMappingFunction, StatefulMappingFunction

      public abstract class ForItemMappingAction
      extends Object
      implements ItemMappingFunction, StatefulMappingFunction

  The ForSequenceMappingAction supports compilation of a ForExpression. It represents the action to be taken for each item in the source sequence. It acts as the MappingFunction for the mapping iterator. The map() method is generated in the subclass, and performs the "action" part of the for expression, being called once per iteration, and returning an iterator over the results.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XPathContext` | `context`
    `protected int` | `position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForItemMappingAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatefulMappingFunction` | `getAnother()` Return a clone of this MappingFunction, with the state reset to its state at the beginning of the underlying iteration
    `abstract Item` | `mapItem(Item item)` Map one item to another item.
    `void` | `setContext(XPathContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected XPathContext context

    - #### position

          protected int position

  - ### Constructor Detail

    - #### ForItemMappingAction

          public ForItemMappingAction()

  - ### Method Detail

    - #### setContext

          public void setContext(XPathContext context)

    - #### mapItem

          public abstract Item mapItem(Item item)
                                throws XPathException

      Description copied from interface: `ItemMappingFunction`
      Map one item to another item.
      Specified by:
        `mapItem` in interface `ItemMappingFunction`
      Parameters:
        `item` - The input item to be mapped.
      Returns:
        either the output item, or null.
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### getAnother

          public StatefulMappingFunction getAnother()

      Description copied from interface: `StatefulMappingFunction`
      Return a clone of this MappingFunction, with the state reset to its state at the beginning of the underlying iteration
      Specified by:
        `getAnother` in interface `StatefulMappingFunction`
      Returns:
        a clone of this MappingFunction

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.